> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll job status

> Check on the status of a job, using the `job_root` returned by your initial Run Job call. Read about the possible job statuses [here](/key-concepts/jobs/life-cycle).



## OpenAPI

````yaml get /{env_id}/{flow_id}/{tenant}/jobs/status
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/jobs/status:
    get:
      summary: Poll job status
      description: >-
        Check on the status of a job, using the `job_root` returned by your
        initial Run Job call. Read about the possible job statuses
        [here](/key-concepts/jobs/life-cycle).
      operationId: jobs-status
      parameters:
        - name: job_root
          in: query
          description: S3 root of this job
          required: true
          schema:
            type: string
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    job_id: lmaEbA
                    env_id: dev.example-env.hotglue.xyz
                    job_name: test_job:_V-vgdlLN
                    tenant: default
                    started_by: default
                    flow: l8odS2mce
                    s3_root: default/flows/l8odS2mce/jobs/lmaEbA
                    start_time: '2020-12-30T18:01:01.828266+00:00'
                    state: {}
                    tap: quickbooks:sandbox
                    status: ETL_FAILED
                    message: ETL error...
                    last_updated: '2020-12-30T20:31:00.081282+00:00'
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    example: lmaEbA
                  env_id:
                    type: string
                    example: dev.example-env.hotglue.xyz
                  job_name:
                    type: string
                    example: test_job:_V-vgdlLN
                  tenant:
                    type: string
                    example: default
                  started_by:
                    type: string
                    example: default
                  flow:
                    type: string
                    example: l8odS2mce
                  s3_root:
                    type: string
                    example: default/flows/l8odS2mce/jobs/lmaEbA
                  start_time:
                    type: string
                    example: '2020-12-30T18:01:01.828266+00:00'
                  state:
                    type: object
                    properties: {}
                  tap:
                    type: string
                    example: quickbooks:sandbox
                  status:
                    type: string
                    example: ETL_FAILED
                    enum:
                      - JOB_CREATED
                      - DISCOVER_STARTED
                      - DISCOVER_FAILED
                      - SYNC_STARTED
                      - SYNC_FAILED
                      - SYNC_SUCCESS
                      - ETL_STARTED
                      - ETL_FAILED
                      - ETL_SUCCESS
                      - EXPORT_STARTED
                      - EXPORT_FAILED
                      - JOB_COMPLETED
                  message:
                    type: string
                    example: ETL error...
                  last_updated:
                    type: string
                    example: '2020-12-30T20:31:00.081282+00:00'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    Code: Error
                    Message: Invalid job_root supplied - job does not exist!
              schema:
                type: object
                properties:
                  Code:
                    type: string
                    example: Error
                  Message:
                    type: string
                    example: Invalid job_root supplied - job does not exist!
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````